%global pkgname irredsol

Name:           gap-pkg-%{pkgname}
Version:        1.4
Release:        1%{?dist}
Summary:        Irreducible soluble linear groups over finite fields

License:        BSD
URL:            http://www.icm.tu-bs.de/~bhoeflin/%{pkgname}/
Source0:        http://www.icm.tu-bs.de/~bhoeflin/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-crisp
BuildRequires:  parallel
BuildRequires:  perl-interpreter
BuildRequires:  procps-ng
BuildRequires:  tth

Requires:       gap-core

Recommends:     gap-pkg-crisp

%description
IRREDSOL is a GAP package which provides a library of all irreducible
soluble subgroups of GL(n, q), up to conjugacy, where n is a positive
integer and q a prime power satisfying q^n <= 2000000, and a library
of all primitive soluble groups of degree at most 2000000.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# Link to main GAP documentation and CRISP documentation
ln -s %{_gap_dir}/etc ../../etc
ln -s %{_gap_dir}/doc ../../doc
ln -s %{_gap_dir}/pkg/crisp ..
pushd doc
pdftex manual
makeindex manual
pdftex manual
pdftex manual
rm -f ../htm/*
perl %{_gap_dir}/etc/convert.pl -t -c -n IRREDSOL . ../htm
popd
rm -f ../../{doc,etc} ../crisp

# Compress large data files
parallel %{?_smp_mflags} --no-notice gzip --best ::: data/*.grp
parallel %{?_smp_mflags} --no-notice gzip --best ::: fp/*.fp

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{LICENSE,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,in,ind,log,new,out,pnr,toc}

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
grep -Fvq fail log
rm -f log

%files
%doc README
%license LICENSE
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Sat Aug  5 2017 Jerry James <loganjerry@gmail.com> - 1.4-1
- New upstream version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri May 27 2016 Jerry James <loganjerry@gmail.com> - 1.3.1-1
- Initial RPM
